﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountManagementAdminController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Admin.Administration
{
    #region usings
    using System;
    using System.Diagnostics;
    using System.Linq;
    using System.Web.Mvc;
    using System.Web.Security;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    using Languages.Emails.Accounts;

    #endregion

    /// <summary>
    /// The account management admin controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin)]
    public class AccountManagementAdminController : BaseAccountManagementController, IDataManipulator<USP_Account_Sel_Result>
    {
        #region Constructors and Destructors

        #region constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountManagementAdminController"/> class.
        /// </summary>
        public AccountManagementAdminController()
            : base(
                new AccountBindingHandlers(),
                GridViewHelper.ACCOUNTMANAGERADMINGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "AccountManagement/_accountmanagementGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Account.Account_id),
                GridViewHelper.ACCOUNTMANAGERADMINCONTROLLERNAME,
                new USP_Account_Sel_Result().GetType(),
                true,
                false)
        {
        }
        #endregion

        #endregion

        #region IDataManipulator<USP_Account_Sel_Result> Members

        #region Public Methods and Operators

        #region IAdminController Member
        /// <summary>
        /// The load add and edit view data.
        /// </summary>
        /// <param name="properties">
        /// The properties.
        /// </param>
        [NonAction]
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion

        #endregion

        #endregion

        #region IAdminController<USP_Account_Sel_Result> Member
        /// <summary>
        /// The add.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Add()
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(USP_Account_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(Guid id)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(USP_Account_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The delete.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Delete(Guid id)
        {
            return null;
        }
        #endregion
    }
}