﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DocumentAdminController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Admin.Administration
{
    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.HtmlExtensions;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// The document admin controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin)]
    public class DocumentAdminController : BaseGridViewController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="DocumentAdminController"/> class.
        /// </summary>
        public DocumentAdminController()
            : base(GridViewHelper.DOCUMENTADMINCONTROLLERNAME, GridViewHelper.FILEUPLOADGRIDVIEWID, true, true)
        {
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public override ActionResult GridViewListView()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public override ActionResult GridViewListViewInit()
        {
            return null;
        }
        #endregion
    }
}