﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SupplierInformationsAdminController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Admin.CustomerMasterdata
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The supplier information admin controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin)]
    public class SupplierInformationAdminController : BaseGridViewCustomBindingController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SupplierInformationAdminController"/> class.
        /// </summary>
        public SupplierInformationAdminController()
            : base(
                new CompanyBindingHandlers(
                    new Dictionary<string, object>()
                    {
                        {
                            CompanyBindingHandlers.PROPERTYKEY_COMPANYTYPEIDLIST,
                            DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.SUPPLIER)
                        },
                        { CompanyBindingHandlers.PROPERTYKEY_COMPANYSTATUSID, null }
                    }),
                GridViewHelper.SUPPLIERINFORMATIONSADMINGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "Company/_supplierInformationsGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Company.Company_id),
                GridViewHelper.SUPPLIERINFORMATIONSADMINCONTROLLERNAME,
                new USP_Company_Sel_Result().GetType(),
                true,
                false)
        {
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The detail.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Detail(Guid id)
        {
            return null;
        }
        #endregion
    }
}