﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountManagementLaboratoryController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Laboratory.Administration
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;
    using System.Web.Security;

    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The account management laboratory controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.SuperUserLaboratory)]
    public class AccountManagementLaboratoryController : BaseAccountManagementController, IDataManipulator<USP_Account_Sel_Result>
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountManagementLaboratoryController"/> class.
        /// this constructor must be called from child class.
        /// </summary>
        public AccountManagementLaboratoryController()
            : base(
                new AccountBindingHandlers(),
                GridViewHelper.ACCOUNTMANAGERLABORATORYGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "AccountManagement/_accountmanagementGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Account.Account_id),
                GridViewHelper.ACCOUNTMANAGERLABORATORYCONTROLLERNAME,
                new USP_Account_Sel_Result().GetType(),
                false,
                false)
        {
            SetAsAdminGridView();
        }
        #endregion

        #region IDataManipulator<USP_Account_Sel_Result> Members
        /// <summary>
        /// The add.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Add()
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(USP_Account_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(Guid id)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(USP_Account_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The delete.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Delete(Guid id)
        {
            return null;
        }
        #endregion

        #region Methods

        #region Helper Member
        /// <summary>
        /// Authorized user specific filter.
        /// </summary>
        /// <returns>
        /// Filter to collect Users from own company.
        /// </returns>
        private string getFixedFilterExpression()
        {
            return null;
        }
        #endregion

        #endregion

        #region Public Methods and Operators

        #region override members
        /// <summary>
        /// The custom binding core.
        /// </summary>
        /// <param name="gridViewModel">
        /// The grid view model.
        /// </param>
        /// <param name="sortColumn">
        /// The sort column.
        /// </param>
        /// <param name="oldPageSize">
        /// The old page size.
        /// </param>
        /// <returns>
        /// The <see cref="PartialViewResult"/>.
        /// </returns>
        public override PartialViewResult CustomBindingCore(GridViewModel gridViewModel, GridViewColumnState sortColumn = null, int oldPageSize = -1)
        {
            return null;
        }
        #endregion

        #region IDataManipulator Members
        /// <summary>
        /// The load add and edit view data.
        /// </summary>
        /// <param name="properties">
        /// The properties.
        /// </param>
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion

        #endregion
    }
}