﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="RegisterRetailerLaboratoryController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Register
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Linq;
    using System.Transactions;
    using System.Web;
    using System.Web.Mvc;

    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Controllers.Account;
    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.Register;

    using Languages;
    using Languages.Emails.Accounts;
    using Languages.Pages.Register;

    #endregion

    /// <summary>
    /// The register retailer laboratory controller.
    /// </summary>
    [AllowAnonymous]
    public class RegisterRetailerLaboratoryController : BaseController, IDataManipulator<RegisterModelCompany>
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="RegisterRetailerLaboratoryController"/> class.
        /// </summary>
        public RegisterRetailerLaboratoryController()
            : base()
        {
            COMPANYTYPELIST_ALLOWED = new List<Guid>()
                                      {
                                          DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.LABORATORY),
                                          DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.RETAILERCOMPANY),
                                          DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.SUPPLIER)
                                      };
            COMPANYTYPELIST_DISABLED = new List<Guid>()
                                       {
                                           DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.RETAILERREGION),
                                           DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.RETAILERCLIENT)
                                       };
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The register.
        /// </summary>
        /// <returns>
        /// The <see cref="PartialViewResult"/>.
        /// </returns>
        public PartialViewResult Register()
        {
            return null;
        }
        #endregion

        #region Methods
        /// <summary>
        /// Check if companyType is allowed.
        /// </summary>
        /// <param name="companyTypeList">
        /// </param>
        /// <returns>
        /// The <see cref="bool"/>.
        /// </returns>
        private bool companyTypeIsAllowed(string companyTypeList)
        {
            return false;
        }
        #endregion

        #region Fields
        /// <summary>
        /// The companytypelis t_ allowed.
        /// </summary>
        private readonly List<Guid> COMPANYTYPELIST_ALLOWED;

        /// <summary>
        /// The companytypelis t_ disabled.
        /// </summary>
        private readonly List<Guid> COMPANYTYPELIST_DISABLED;
        #endregion

        #region Implementation of IDataManipulator
        /// <summary>
        /// Shows the add form.
        /// </summary>
        /// <returns>
        /// View for add form.
        /// </returns>
        [HttpGet]
        public ActionResult Add()
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken()]
        public ActionResult Add(RegisterModelCompany model)
        {
            return null;
        }

        /// <summary>
        /// Shows the edit form.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// View for edit form.
        /// </returns>
        public ActionResult Edit(Guid id)
        {
            return null;
        }

        /// <summary>
        /// Edit an entry from database.
        /// </summary>
        /// <typeparam name="T">
        /// Model type.
        /// </typeparam>
        /// <param name="model">
        /// Model.
        /// </param>
        /// <returns>
        /// Redirect view.
        /// </returns>
        public ActionResult Edit(RegisterModelCompany model)
        {
            return null;
        }

        /// <summary>
        /// Delete an entry from database.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// Redirect view.
        /// </returns>
        public ActionResult Delete(Guid id)
        {
            return null;
        }

        /// <summary>
        /// Loads all needed ViewData for the edit and add form.
        /// </summary>
        /// <param name="properties">
        /// Additional parameters for viewdata.
        /// </param>
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion
    }
}