﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SupplierRetailerController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Retailer.CustomerMasterdata
{
    #region usings
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Export;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.AccessRules;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The supplier retailer controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Retailer)]
    public class SupplierRetailerController : BaseGridViewCustomBindingController, IExportController
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SupplierRetailerController"/> class.
        /// </summary>
        public SupplierRetailerController()
            : base(
                new Company2CompanyRightsBindingHandlers(additionalParameters),
                GridViewHelper.SUPPLIERRETAILERGRIDVIEW,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "Company/_supplierGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Company2CompanyRights.CompanyTo_id),
                GridViewHelper.SUPPLIERRETAILERCONTROLLERNAME,
                EFHelper.Usp_Company2CompanyRights.GetType(),
                false,
                false)
        {
        }
        #endregion

        #endregion

        #region Static Fields
        /// <summary>
        /// The company types.
        /// </summary>
        private static readonly string companyTypes = string.Format("{0}", DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.SUPPLIER));

        /// <summary>
        /// The additional parameters.
        /// </summary>
        private static readonly Dictionary<string, object> additionalParameters = new Dictionary<string, object>()
                                                                                  {
                                                                                      {
                                                                                          Company2CompanyRightsBindingHandlers
                                                                                          .PROPERTYKEY_COMPANYTYPEIDLIST,
                                                                                          companyTypes
                                                                                      },
                                                                                      {
                                                                                          Company2CompanyRightsBindingHandlers
                                                                                          .PROPERTYKEY_USEUSERCOMPANYID,
                                                                                          true
                                                                                      }
                                                                                  };
        #endregion

        // get only suppliers from company

        #region Public Methods and Operators

        #region overrides
        /// <summary>
        /// The custom binding core.
        /// </summary>
        /// <param name="gridViewModel">
        /// The grid view model.
        /// </param>
        /// <param name="sortColumn">
        /// The sort column.
        /// </param>
        /// <param name="oldPageSize">
        /// The old page size.
        /// </param>
        /// <returns>
        /// The <see cref="PartialViewResult"/>.
        /// </returns>
        public override PartialViewResult CustomBindingCore(GridViewModel gridViewModel, GridViewColumnState sortColumn = null, int oldPageSize = -1)
        {
            return null;
        }
        #endregion

        #region actionresults
        /// <summary>
        /// The export.
        /// </summary>
        /// <param name="exportType">
        /// The export type.
        /// </param>
        /// <param name="columnNames">
        /// The column names.
        /// </param>
        /// <param name="columnTexts">
        /// The column texts.
        /// </param>
        /// <param name="filter">
        /// The filter.
        /// </param>
        /// <param name="sortColumnName">
        /// The sort column name.
        /// </param>
        /// <param name="sortOrder">
        /// The sort order.
        /// </param>
        /// <param name="applySorting">
        /// The apply sorting.
        /// </param>
        /// <param name="applyFilter">
        /// The apply filter.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult Export(
            string exportType,
            string columnNames,
            string columnTexts,
            string filter,
            string sortColumnName,
            string sortOrder,
            bool applySorting,
            bool applyFilter)
        {
            return null;
        }
        #endregion

        #endregion
    }
}