﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BaseSampleAdvancedSearchHandler.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.AdvancedSearch
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using DevExpress.Data.Filtering;

    using Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch;
    using Fruitmonitoring.Helper.ParameterHelp;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Helper.Utility.ExtensionHelper;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.ComboBox;

    using Languages;
    using Languages.ModelData.SampleResult;
    using Languages.Pages.AllAreas.Samples;

    using Sample = Languages.ModelData.Sample.Sample;
    using SampleRating = Languages.ModelData.SampleRating.SampleRating;

    #endregion

    /// <summary>
    /// The base sample advanced search handler.
    /// </summary>
    public class BaseSampleAdvancedSearchHandler : BaseAdvancedSearch
    {
        #region Enums
        /// <summary>
        /// The countryeustates.
        /// </summary>
        public enum COUNTRYEUSTATES
        {
            /// <summary>
            /// The no.
            /// </summary>
            NO,

            /// <summary>
            /// The eu.
            /// </summary>
            EU,

            /// <summary>
            /// The noeu.
            /// </summary>
            NOEU,

            /// <summary>
            /// The euexceptgermany.
            /// </summary>
            EUEXCEPTGERMANY,

            /// <summary>
            /// The germany.
            /// </summary>
            GERMANY
        }
        #endregion

        #region Static Fields
        /// <summary>
        /// The checkboxlistcolumns.
        /// </summary>
        public static readonly int CHECKBOXLISTCOLUMNS = 3;

        /// <summary>
        /// The checkboxlistwidth.
        /// </summary>
        public static readonly int CHECKBOXLISTWIDTH = 375;

        /// <summary>
        /// The searchfielddictionarykey.
        /// </summary>
        public static readonly string SEARCHFIELDDICTIONARYKEY = "SearchFieldsDictionary";

        /// <summary>
        /// The showcompletesearchkey.
        /// </summary>
        public static readonly string SHOWCOMPLETESEARCHKEY = "ShowCompleteSearchForm";
        #endregion

        #region Public Methods and Operators

        #region viewdata
        /// <summary>
        /// The add view data for search form base.
        /// </summary>
        /// <param name="viewData">
        /// The view data.
        /// </param>
        /// <param name="user">
        /// The user.
        /// </param>
        public void AddViewDataForSearchFormBase(ViewDataDictionary viewData, CustomMembershipUser user)
        {
        }

        /// <summary>
        /// Add ratings information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddRatingsToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add countries information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private static void AddCountriesToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add product information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddOfferFormsToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add product information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddSampleKindsToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add sample types information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddSampleTypesToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add sample status information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddSampleStatusToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add farming types information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddFarmingTypesToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add bio product types information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddBioProductTypesToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add rating schemas information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="user">Current user.</param>
        /// <param name="db">Current db instance.</param>
        private void AddRatingSchemasToViewData(ViewDataDictionary viewData, CustomMembershipUser user, Entities db)
        {
        }

        /// <summary>
        /// Add product information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddProductsToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add rating areas information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddRatingAreasToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Add parameters information to view data.
        /// </summary>
        /// <param name="viewData">Current View data instance.</param>
        /// <param name="db">Current db instance.</param>
        private void AddParametersToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Adds the processing-status to the viewData.
        /// </summary>
        /// <param name="viewData">THe current viewData object.</param>
        /// <param name="db">The current database object.</param>
        private void AddProcessingStatusToViewData(ViewDataDictionary viewData, Entities db)
        {
        }

        /// <summary>
        /// Adds the indended-uses to the viewData.
        /// </summary>
        /// <param name="viewData">THe current viewData object.</param>
        /// <param name="db">The current database object.</param>
        private void AddIntendedUseToViewData(ViewDataDictionary viewData, Entities db)
        {
        }
        #endregion

        /// <summary>
        /// Create search strings from advanced search.
        /// </summary>
        /// <param name="searchForm">
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public List<AdvancedSearchFilterItem> CreateFilterItemsBase(FormCollection searchForm)
        {
            return null;
        }

        /// <summary>
        /// The get search form partial path base.
        /// </summary>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string GetSearchFormPartialPathBase()
        {
            return null;
        }
        #endregion

        #region testhelper
        /// <summary>
        /// The _check box list helper.
        /// </summary>
        private readonly ICheckBoxListExtensionHelper _checkBoxListHelper = new CheckBoxListExtensionHelper();

        /// <summary>
        /// The _combo box helper.
        /// </summary>
        private readonly IComboBoxExtensionHelper _comboBoxHelper = new ComboBoxExtensionHelper();

        /// <summary>
        /// The _list box helper.
        /// </summary>
        private readonly IListBoxExtensionHelper _listBoxHelper = new ListBoxExtensionHelper();

        /// <summary>
        /// The _ text box helper.
        /// </summary>
        private readonly ITextBoxExtensionHelper _TextBoxHelper = new TextBoxExtensionHelper();

        /// <summary>
        /// The _radio button helper.
        /// </summary>
        private readonly IRadioButtonListExtensionHelper _radioButtonHelper = new RadioButtonListExtensionHelper();
        #endregion

        #region filter items
        /// <summary>
        /// The add report date.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="model">
        /// The model.
        /// </param>
        public void AddReportDate(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, SampleAdvancedSearchModel model)
        {
        }

        /// <summary>
        /// The add sampling date.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddSamplingDate(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add sample rating.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddSampleRating(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add product.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddProduct(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add country.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddCountry(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add country eu.
        /// </summary>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddCountryEu(List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add offer form.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddOfferForm(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add sample kind.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddSampleKind(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add sample type.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddSampleType(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add sample status.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddSampleStatus(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add farming type.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddFarmingType(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add bio product type.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        private void AddBioProductType(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// The add company client.
        /// </summary>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddCompanyClient(List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add company laboratory.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddCompanyLaboratory(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add company supplier.
        /// </summary>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddCompanySupplier(List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add count ingredients.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddCountIngredients(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add rating area.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddRatingArea(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add rating area rating.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddRatingAreaRating(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add sample results parameter.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddSampleResultsParameter(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// The add lab entry date.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        public void AddLabEntryDate(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions)
        {
        }

        /// <summary>
        /// Adds the progressing status filter.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddProcessingStatus(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }

        /// <summary>
        /// Adds the intended use filter.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <param name="filterExpressions">
        /// The filter expressions.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        public void AddIntendedUse(FormCollection searchForm, List<AdvancedSearchFilterItem> filterExpressions, Entities db)
        {
        }
        #endregion

        /// <summary>
        /// Adds an "deactivated" info to a string.
        /// </summary>
        /// <param name="originalString">
        /// Info will be added to this string.
        /// </param>
        /// <returns>The original string with an "deactivated" info.</returns>
        protected string AddDeactivatedString(string originalString)
        {
            return null;
        }
    }
}