﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="InvalidFilterException.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Exceptions
{
    #region usings
    using System;
    using System.Net;

    #endregion

    /// <summary>
    /// The invalid filter exception.
    /// </summary>
    [Serializable]
    public class InvalidFilterException : WebException
    {
        #region Properties
        /// <summary>
        /// Gets the error message.
        /// </summary>
        public string ErrorMessage
        {
            get
            {
                return Message.ToString();
            }
        }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidFilterException"/> class.
        /// </summary>
        /// <param name="errorMessage">
        /// The error message.
        /// </param>
        public InvalidFilterException(string errorMessage)
            : base(errorMessage)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidFilterException"/> class.
        /// </summary>
        /// <param name="errorMessage">
        /// The error message.
        /// </param>
        /// <param name="innerEx">
        /// The inner ex.
        /// </param>
        public InvalidFilterException(string errorMessage, Exception innerEx)
            : base(errorMessage, innerEx)
        {
        }
        #endregion
    }
}