﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="IAdvancedSearch.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// The AdvancedSearch interface.
    /// </summary>
    internal interface IAdvancedSearch
    {
        #region Public Methods and Operators
        /// <summary>
        /// Add viewdata that is needed by the search form.
        /// </summary>
        /// <param name="viewData">
        /// Provide current viewdata object.
        /// </param>
        /// <param name="user">
        /// Provide current user instance.
        /// </param>
        void AddViewDataForSearchForm(ViewDataDictionary viewData, CustomMembershipUser user);

        /// <summary>
        /// Creates the devexpress filter expression with the given search values that can be stored in a custom container.
        /// </summary>
        /// <param name="searchForm">
        /// Searchform that holds all search data.
        /// </param>
        /// <returns>
        /// Devexpress filter expressions as single list istems.
        /// </returns>
        List<AdvancedSearchFilterItem> CreateFilterItems(FormCollection searchForm);

        /// <summary>
        /// Renders the search form.
        /// </summary>
        /// <returns>
        /// Partial view that holds the search form.
        /// </returns>
        string GetSearchFormPartialPath();
        #endregion
    }
}