﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BaseCompanySelectionController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySelection
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.HtmlExtensions.CompanyTypeSelection;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Helper.Validation;
    using Fruitmonitoring.Helper.Validation.Interfaces;
    using Fruitmonitoring.Infrastructure.AccessRules;
    using Fruitmonitoring.Infrastructure.AccessRules.Interface;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    /// <summary>
    /// The base company selection controller.
    /// </summary>
    public class BaseCompanySelectionController : BaseGridViewCustomBindingController
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="BaseCompanySelectionController"/> class.
        /// </summary>
        /// <param name="bindingHandler">
        /// The binding handler.
        /// </param>
        /// <param name="gridViewId">
        /// The grid view id.
        /// </param>
        /// <param name="gridViewPartialPath">
        /// The grid view partial path.
        /// </param>
        /// <param name="keyFieldName">
        /// The key field name.
        /// </param>
        /// <param name="controllerName">
        /// The controller name.
        /// </param>
        /// <param name="modelType">
        /// The model type.
        /// </param>
        /// <param name="isAdmin">
        /// The is admin.
        /// </param>
        /// <param name="isSuperUser">
        /// The is super user.
        /// </param>
        public BaseCompanySelectionController(
            IBindingHandler bindingHandler,
            string gridViewId,
            string gridViewPartialPath,
            string keyFieldName,
            string controllerName,
            Type modelType,
            bool isAdmin,
            bool isSuperUser)
            : base(bindingHandler, gridViewId, gridViewPartialPath, keyFieldName, controllerName, modelType, isAdmin, isSuperUser)
        {
        }
        #endregion

        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="administrateCompanyTypes">
        /// The administrate company types.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(
            CompanySelectionAddModel model,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            string administrateCompanyTypes,
            bool onlyActiveCompanies = true)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="administrateCompanyTypes">
        /// The administrate company types.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(
            CompanySelectionAddModel model,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            string administrateCompanyTypes,
            bool onlyActiveCompanies = true)
        {
            return null;
        }
        #endregion

        #region Methods
        /// <summary>
        /// The set only active companies.
        /// </summary>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        protected void setOnlyActiveCompanies(bool onlyActiveCompanies)
        {
        }

        /// <summary>
        /// The validate company type ids.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        private void validateCompanyTypeIds(USP_Company_Sel_Result model)
        {
        }
        #endregion

        #region actionresults
        /// <summary>
        /// The grid view list view company selection.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult GridViewListViewCompanySelection(
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            bool onlyActiveCompanies = true)
        {
            return null;
        }

        /// <summary>
        /// The custom paging company selection.
        /// </summary>
        /// <param name="pager">
        /// The pager.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult CustomPagingCompanySelection(
            GridViewPagerState pager,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            bool onlyActiveCompanies = true)
        {
            return null;
        }

        /// <summary>
        /// The custom sorting company selection.
        /// </summary>
        /// <param name="column">
        /// The column.
        /// </param>
        /// <param name="reset">
        /// The reset.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult CustomSortingCompanySelection(
            GridViewColumnState column,
            bool reset,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            bool onlyActiveCompanies = true)
        {
            return null;
        }

        /// <summary>
        /// The custom filtering company selection.
        /// </summary>
        /// <param name="filterState">
        /// The filterState.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only active companies.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult CustomFilteringCompanySelection(
            GridViewFilteringState filterState,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            bool canAdministrate,
            bool onlyActiveCompanies = true)
        {
            return null;
        }

        /// <summary>
        /// Get the company name by a given retialerCompanyId.
        /// </summary>
        /// <param name="companyId">
        /// Company retialerCompanyId.
        /// </param>
        /// <returns>
        /// Company name.
        /// </returns>
        public string GetCompanyNameByRowId(string companyId)
        {
            return null;
        }
        #endregion

        #region methods
        /// <summary>
        /// Add company type filter to stored procedure and provide it to the view.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional Company Type Filter.
        /// </param>
        protected void loadAdditionalFilterViewData(string additionalCompanyTypeFilter)
        {
        }

        /// <summary>
        /// The load additional view data.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="canAdministrate">
        /// The can administrate.
        /// </param>
        public void loadAdditionalViewData(string modelPropertyValue, string modelPropertyName, bool canAdministrate)
        {
        }
        #endregion
    }
}