﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySelectionController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySelection
{
    #region usings
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The company selection controller.
    /// </summary>
    public class CompanySelectionController : BaseCompanySelectionController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="CompanySelectionController"/> class.
        /// </summary>
        public CompanySelectionController()
            : base(
                new CompanyBindingHandlers(),
                GridViewHelper.COMPANYSELECTIONGRIDVIEWID,
                ExtensionsFactory.ComponentsPath + "/_companySelectionGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Company.Company_id),
                GridViewHelper.COMPANYSELECTIONCONTROLLERNAME,
                new USP_Company_Sel_Result().GetType(),
                true,
                false)
        {
        }
        #endregion
    }
}