﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DropDownEditSelectionExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.DropDownEditSelection
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Text;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build a html "DropDownEditSelection".
    /// </summary>
    public class DropDownEditSelectionExtension
    {
        #region Static Fields
        /// <summary>
        /// The ddeprefix.
        /// </summary>
        public static readonly string DDEPREFIX = "dde_";

        /// <summary>
        /// The dd e_ delimiter.
        /// </summary>
        public static string DDE_DELIMITER = ";";
        #endregion

        #region methods
        /// <summary>
        /// Builds the "DropDownEditSelection".
        /// </summary>
        /// <param name="htmlHelper">
        /// The html Helper.
        /// </param>
        /// <param name="componentName">
        /// Name of the component.
        /// </param>
        /// <param name="data">
        /// Data for the dropdown.
        /// </param>
        /// <param name="nameProperty">
        /// Member in the data which should be set as the dropdown-name.
        /// </param>
        /// <param name="valueProperty">
        /// Member in the data which should be set as the dropdown-value.
        /// </param>
        /// <param name="dataPreSelectionIds">
        /// Element ids that should be preselected.
        /// </param>
        /// <param name="namePropertyPreSelection">
        /// Name of the property that holds the preselection value.
        /// </param>
        /// <returns>
        /// The "DropDownEditSelection" html.
        /// </returns>
        public MvcHtmlString CreateDropDownEditSelection<E>(
            HtmlHelper htmlHelper,
            string componentName,
            List<E> data,
            string nameProperty,
            string valueProperty,
            List<Guid> dataPreSelectionIds,
            string namePropertyPreSelection)
        {
            return null;
        }

        /// <summary>
        /// Build the preselection string. Use this value for the "text" property in the dropdownedit to preselect the needed values.
        /// </summary>
        /// <typeparam name="E">
        /// Type of elements in the data list.
        /// </typeparam>
        /// <param name="dataPreSelection">
        /// List of elements that should be preselected.
        /// </param>
        /// <param name="propertyName">
        /// The property name of the elements that holds the "name" key (the "name" must match the "TextField" property of the dropdownedit).
        /// </param>
        /// <returns>
        /// A ";" separated string with all values.
        /// </returns>
        private string buildDropDownEditPreSelectionValue<P>(List<P> dataPreSelection, string propertyName)
        {
            return null;
        }
        #endregion
    }
}