﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="LanguageSwitcherSettings.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.LanguageSwitcher
{
    #region usings
    using System.Collections.Generic;

    #endregion

    /// <summary>
    /// The language switcher settings.
    /// </summary>
    public class LanguageSwitcherSettings
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Adds an new culture to the rendered list.
        /// </summary>
        /// <param name="culture">
        /// </param>
        public void addCulture(Culture culture)
        {
        }
        #endregion

        #endregion

        #region variables
        /// <summary>
        /// The culture list.
        /// </summary>
        private List<Culture> cultureList;

        /// <summary>
        /// This list holds all culture elements.
        /// </summary>
        public List<Culture> CultureList
        {
            get
            {
                if (cultureList == null)
                {
                    cultureList = new List<Culture>();
                }

                return cultureList;
            }
        }

        /// <summary>
        /// Request controller which handles the language change.
        /// </summary>
        public string Controller { get; set; }

        /// <summary>
        /// Request action which handles the language change.
        /// </summary>
        public string Action { get; set; }

        /// <summary>
        /// Set active language (e.g. "de-DE").
        /// </summary>
        public string ActiveLanguage { get; set; }

        /// <summary>
        /// Css class which should be added to each flag icon.
        /// </summary>
        public string CssClass { get; set; }

        /// <summary>
        /// If true, the request-url is added as a param to the request.
        /// </summary>
        public bool RedirectToRequestURL { get; set; }

        /// <summary>
        /// Set an jquery selector for elements on the website
        /// if the element is found by jQuery, each language change event has to be confirmed in a confirm-dialog-box.
        /// </summary>
        public string ShowWarningsForElement { get; set; }

        /// <summary>
        /// Dialog warning message which should be shown if the language will changed
        /// "ShowWarningsForElement" must be set.
        /// </summary>
        public string ShowWarningsMessage { get; set; }
        #endregion
    }
}