﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PopupWrapperExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PopupWrapper
{
    #region usings
    using System;
    using System.Web;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// Use this wrapper inside of popups to define the scrollable section
    /// call this function in a "using" clause!.
    /// </summary>
    public class PopupWrapperExtension : IDisposable
    {
        #region Constructors and Destructors

        #region construtors
        /// <summary>
        /// Initializes a new instance of the <see cref="PopupWrapperExtension"/> class.
        /// start rendering the popup wrapper container.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="popupName">
        /// Popup name that holds this content wrapper.
        /// </param>
        /// <param name="containerId">
        /// Container id.
        /// </param>
        /// <param name="containerClass">
        /// Container class.
        /// </param>
        public PopupWrapperExtension(HtmlHelper htmlHelper, string popupName, string containerId, string containerClass)
        {
            
        }
        #endregion

        #endregion

        #region IDisposable Members

        #region Public Methods and Operators

        #region IDisposable Member
        /// <summary>
        /// The dispose.
        /// </summary>
        public void Dispose()
        {
        }
        #endregion

        #endregion

        #endregion

        #region variables
        /// <summary>
        /// The view context.
        /// </summary>
        private readonly ViewContext viewContext;

        /// <summary>
        /// The container id.
        /// </summary>
        private string containerId;

        /// <summary>
        /// The html helper.
        /// </summary>
        private readonly HtmlHelper htmlHelper;

        /// <summary>
        /// The view data.
        /// </summary>
        private readonly ViewDataDictionary viewData = new ViewDataDictionary();
        #endregion
    }
}