﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="WidgetHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.Widgets
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// The widget helper.
    /// </summary>
    public class WidgetHelper
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds a button for adding a widget.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="widgetName">
        /// The widget Name.
        /// </param>
        /// <param name="widgetButtonText">
        /// The widget Button Text.
        /// </param>
        /// <returns>
        /// The "reset layout" button html.
        /// </returns>
        public MvcHtmlString CreateWidgetButton(HtmlHelper htmlHelper, string widgetName, string widgetButtonText)
        {
            var viewData = new ViewDataDictionary();
            viewData["WidgetButtonText"] = widgetButtonText;
            viewData["WidgetName"] = widgetName;

            return htmlHelper.Partial(ExtensionsFactory.ComponentsPath + "_widgetButton", null, viewData);
        }
        #endregion

        #endregion
    }
}