﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleTransferHandler.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Modules.SampleTransferObservers
{
    #region usings
    using System;
    using System.Collections.Generic;

    #endregion

    /// <summary>
    /// The sample transfer handler.
    /// </summary>
    public class SampleTransferHandler : IObservable<SampleTransferInfo>
    {
        #region Properties

        #region Static Fields
        /// <summary>
        /// The _instance.
        /// </summary>
        private static SampleTransferHandler _instance;
        #endregion

        /// <summary>
        /// Gets the instance.
        /// </summary>
        public static SampleTransferHandler Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new SampleTransferHandler();
                }

                return _instance;
            }
        }

        #region Fields
        /// <summary>
        /// The observers.
        /// </summary>
        private readonly List<IObserver<SampleTransferInfo>> observers;
        #endregion

        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleTransferHandler"/> class.
        /// </summary>
        public SampleTransferHandler()
        {
        }
        #endregion

        #region IObservable<SampleTransferInfo> Members
        /// <summary>
        /// The subscribe.
        /// </summary>
        /// <param name="observer">
        /// The observer.
        /// </param>
        /// <returns>
        /// The <see cref="IDisposable"/>.
        /// </returns>
        public IDisposable Subscribe(IObserver<SampleTransferInfo> observer)
        {
            return null;
        }
        #endregion

        /// <summary>
        /// Provide registered observers with new data.
        /// </summary>
        /// <param name="sampleInfo">
        /// </param>
        public void SampleTransferComplete(SampleTransferInfo sampleInfo)
        {
        }
    }
}