﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PopupMenuItem.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.PopupMenu
{
    #region usings
    using System.Xml.Serialization;

    #endregion

    /// <summary>
    /// The popup menu item.
    /// </summary>
    public class PopupMenuItem
    {
        #region variables
        /// <summary>
        /// The index.
        /// </summary>
        [XmlIgnore]
        public int Index;

        /// <summary>
        /// The text.
        /// </summary>
        [XmlAttribute("Text")]
        public string Text;

        /// <summary>
        /// The tool tip.
        /// </summary>
        [XmlAttribute("ToolTip")]
        public string ToolTip;

        /// <summary>
        /// The action.
        /// </summary>
        [XmlIgnore]

        // [XmlAttribute("Action")]
        public string Action;

        /// <summary>
        /// The navigate url.
        /// </summary>
        [XmlAttribute("Name")] // we put our NavigateUrl into "Name" to handle all stuff via javascript
        public string NavigateUrl;

        /// <summary>
        /// The enabled.
        /// </summary>
        [XmlAttribute("Enabled")]
        public bool Enabled;

        /// <summary>
        /// The image url.
        /// </summary>
        [XmlAttribute("ImageUrl")]
        public string ImageUrl;
        #endregion

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="PopupMenuItem"/> class.
        /// </summary>
        public PopupMenuItem()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="PopupMenuItem"/> class.
        /// </summary>
        /// <param name="Index">
        /// The index.
        /// </param>
        /// <param name="Text">
        /// The text.
        /// </param>
        /// <param name="ToolTip">
        /// The tool tip.
        /// </param>
        /// <param name="NavigateUrl">
        /// The navigate url.
        /// </param>
        /// <param name="Enabled">
        /// The enabled.
        /// </param>
        /// <param name="ImageUrl">
        /// The image url.
        /// </param>
        public PopupMenuItem(int Index, string Text, string ToolTip, string NavigateUrl, bool Enabled, string ImageUrl)
        {
            this.Index = Index;
            this.Text = Text;
            this.NavigateUrl = NavigateUrl;
            this.Enabled = Enabled;
            this.ToolTip = ToolTip;
            this.ImageUrl = ImageUrl;

            // this.Action = "test";
        }
        #endregion
    }
}