﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DbGuidHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;

    #endregion

    /// <summary>
    /// The db guid helper.
    /// </summary>
    public static class DbGuidHelper
    {
        #region Properties

        #region Constants
        /// <summary>
        /// The tradeassociationguid.
        /// </summary>
        public const string TRADEASSOCIATIONGUID = "80BBCCEE-7578-444F-8E26-F2C80E8B211C";
        #endregion

        #endregion

        #region Static Fields
        // rewe company id (needed for WAWI number)
        /// <summary>
        /// The companyreweid.
        /// </summary>
        public static readonly Guid COMPANYREWEID = Guid.Parse("393BE4FA-3D32-486A-BA59-71F28A570735");

        /// <summary>
        /// The dbinarrayseparator.
        /// </summary>
        public static readonly char DBINARRAYSEPARATOR = ',';

        /// <summary>
        /// The dblistseparator.
        /// </summary>
        public static readonly char DBLISTSEPARATOR = ',';

        /// <summary>
        /// The emailseparator.
        /// </summary>
        public static readonly char EMAILSEPARATOR = ';';

        /// <summary>
        /// The jquerylistseparator.
        /// </summary>
        public static readonly char JQUERYLISTSEPARATOR = ',';

        /// <summary>
        /// The xmlrolesseparator.
        /// </summary>
        public static readonly char XMLROLESSEPARATOR = ',';
        #endregion

        #region Enums
        /// <summary>
        /// The bio product type.
        /// </summary>
        public enum BioProductType
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The yes.
            /// </summary>
            YES,

            /// <summary>
            /// The no.
            /// </summary>
            NO,

            /// <summary>
            /// The inconversionproduct.
            /// </summary>
            INCONVERSIONPRODUCT
        }

        /// <summary>
        /// The brand marketing norm.
        /// </summary>
        public enum BrandMarketingNorm
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The clas s 1.
            /// </summary>
            CLASS1,

            /// <summary>
            /// The clas s 2.
            /// </summary>
            CLASS2,

            /// <summary>
            /// The classextra.
            /// </summary>
            CLASSEXTRA
        }

        /// <summary>
        /// The company status.
        /// </summary>
        public enum CompanyStatus
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The registered.
            /// </summary>
            REGISTERED,

            /// <summary>
            /// The enabled.
            /// </summary>
            ENABLED,

            /// <summary>
            /// The disabled.
            /// </summary>
            DISABLED
        }

        /// <summary>
        /// The company types.
        /// </summary>
        public enum CompanyTypes
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The factory.
            /// </summary>
            FACTORY,

            /// <summary>
            /// The deliverystorage.
            /// </summary>
            DELIVERYSTORAGE,

            /// <summary>
            /// The retailercompany.
            /// </summary>
            RETAILERCOMPANY,

            /// <summary>
            /// The laboratory.
            /// </summary>
            LABORATORY,

            /// <summary>
            /// The supplier.
            /// </summary>
            SUPPLIER,

            /// <summary>
            /// The administrator.
            /// </summary>
            ADMINISTRATOR,

            /// <summary>
            /// The retailerregion.
            /// </summary>
            RETAILERREGION,

            /// <summary>
            /// The producer.
            /// </summary>
            PRODUCER,

            /// <summary>
            /// The unknown.
            /// </summary>
            UNKNOWN,

            /// <summary>
            /// The retailerclient.
            /// </summary>
            RETAILERCLIENT,

            /// <summary>
            /// The sysop.
            /// </summary>
            SYSOP,

            /// <summary>
            /// The fruitmonitoringhomepage.
            /// </summary>
            FRUITMONITORINGHOMEPAGE,

            /// <summary>
            /// The sender.
            /// </summary>
            SENDER,

            /// <summary>
            /// The manufacturer.
            /// </summary>
            MANUFACTURER,

            /// <summary>
            /// The sampler company type.
            /// </summary>
            SAMPLER
        }

        /// <summary>
        /// The measurement presettings.
        /// </summary>
        public enum MeasurementPresettings
        {
            /// <summary>
            /// The withirregularities.
            /// </summary>
            WITHIRREGULARITIES,

            /// <summary>
            /// The verified.
            /// </summary>
            VERIFIED,

            /// <summary>
            /// The withoutirregularities.
            /// </summary>
            WITHOUTIRREGULARITIES,

            /// <summary>
            /// The positive.
            /// </summary>
            POSITIVE,

            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The unverified.
            /// </summary>
            UNVERIFIED,

            /// <summary>
            /// The negative.
            /// </summary>
            NEGATIVE
        }

        /// <summary>
        /// The parameter group status.
        /// </summary>
        public enum ParameterGroupStatus
        {
            /// <summary>
            /// The denied.
            /// </summary>
            DENIED,

            /// <summary>
            /// The cancellation.
            /// </summary>
            CANCELLATION,

            /// <summary>
            /// The approval.
            /// </summary>
            APPROVAL,

            /// <summary>
            /// The archive.
            /// </summary>
            ARCHIVE,

            /// <summary>
            /// The planning.
            /// </summary>
            PLANNING,

            /// <summary>
            /// The waitforapproval.
            /// </summary>
            WAITFORAPPROVAL
        }

        /// <summary>
        /// The parameter types.
        /// </summary>
        public enum ParameterTypes
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The standardanalysis.
            /// </summary>
            STANDARDANALYSIS,

            /// <summary>
            /// The additionalanalysis.
            /// </summary>
            ADDITIONALANALYSIS,

            /// <summary>
            /// The otheractiveagents.
            /// </summary>
            OTHERACTIVEAGENTS
        }

        /// <summary>
        /// The retailer company.
        /// </summary>
        public enum RetailerCompany
        {
            /// <summary>
            /// The coop.
            /// </summary>
            COOP,

            /// <summary>
            /// The dohle.
            /// </summary>
            DOHLE,

            /// <summary>
            /// The edekanetto.
            /// </summary>
            EDEKANETTO,

            /// <summary>
            /// The galeriakaufhof.
            /// </summary>
            GALERIAKAUFHOF,

            /// <summary>
            /// The globus.
            /// </summary>
            GLOBUS,

            /// <summary>
            /// The kaiserstengelmann.
            /// </summary>
            KAISERSTENGELMANN,

            /// <summary>
            /// The metroreal.
            /// </summary>
            METROREAL,

            /// <summary>
            /// The norma.
            /// </summary>
            NORMA,

            /// <summary>
            /// The rewe.
            /// </summary>
            REWE,

            /// <summary>
            /// The tegut.
            /// </summary>
            TEGUT
        }

        /// <summary>
        /// The sample brand types.
        /// </summary>
        public enum SampleBrandTypes
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The privatebrand.
            /// </summary>
            PRIVATEBRAND,

            /// <summary>
            /// The otherbrand.
            /// </summary>
            OTHERBRAND,

            /// <summary>
            /// The nobrand.
            /// </summary>
            NOBRAND
        }

        /// <summary>
        /// The sample examinations.
        /// </summary>
        public enum SampleExaminations
        {
            /// <summary>
            /// The standard.
            /// </summary>
            STANDARD,

            /// <summary>
            /// The compositesample.
            /// </summary>
            COMPOSITESAMPLE,

            /// <summary>
            /// The singlecomponents.
            /// </summary>
            SINGLECOMPONENTS
        }

        /// <summary>
        /// The sample kinds.
        /// </summary>
        public enum SampleKinds
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The storagesample.
            /// </summary>
            STORAGESAMPLE,

            /// <summary>
            /// The salessample.
            /// </summary>
            SALESSAMPLE,

            /// <summary>
            /// The retainsampleforno.
            /// </summary>
            RETAINSAMPLEFORNO,

            /// <summary>
            /// The other.
            /// </summary>
            OTHER,

            /// <summary>
            /// The officialcountersecondarysample.
            /// </summary>
            OFFICIALCOUNTERSECONDARYSAMPLE,

            /// <summary>
            /// The fieldsampleprecrop.
            /// </summary>
            FIELDSAMPLEPRECROP,

            /// <summary>
            /// The fieldsampleapprovalsample.
            /// </summary>
            FIELDSAMPLEAPPROVALSAMPLE
        }

        /// <summary>
        /// The sample rating.
        /// </summary>
        public enum SampleRating
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The green.
            /// </summary>
            GREEN,

            /// <summary>
            /// The yellow.
            /// </summary>
            YELLOW,

            /// <summary>
            /// The red.
            /// </summary>
            RED
        }

        /// <summary>
        /// The sample rating area.
        /// </summary>
        public enum SampleRatingArea
        {
            /// <summary>
            /// The pesticidesexeededmaximumresiduelevels.
            /// </summary>
            PESTICIDESEXEEDEDMAXIMUMRESIDUELEVELS,

            /// <summary>
            /// The pesticidesnumberofingredients.
            /// </summary>
            PESTICIDESNUMBEROFINGREDIENTS
        }

        /// <summary>
        /// The sample rating schema.
        /// </summary>
        public enum SampleRatingSchema
        {
            /// <summary>
            /// The fm.
            /// </summary>
            FM
        }

        /// <summary>
        /// The sample status.
        /// </summary>
        public enum SampleStatus
        {
            /// <summary>
            /// The transferred.
            /// </summary>
            TRANSFERRED,

            /// <summary>
            /// The transferredfreeofcharge.
            /// </summary>
            TRANSFERREDFREEOFCHARGE,

            /// <summary>
            /// The samplereceipt.
            /// </summary>
            SAMPLERECEIPT,

            /// <summary>
            /// The inprogress.
            /// </summary>
            INPROGRESS,

            /// <summary>
            /// The locked.
            /// </summary>
            LOCKED,

            /// <summary>
            /// The cancelationfreeofcharge.
            /// </summary>
            CANCELATIONFREEOFCHARGE,

            /// <summary>
            /// The cancellationwithcosts.
            /// </summary>
            CANCELLATIONWITHCOSTS,

            /// <summary>
            /// The orderedit.
            /// </summary>
            ORDEREDIT,

            /// <summary>
            /// The orderreceived.
            /// </summary>
            ORDERRECEIVED,

            /// <summary>
            /// The orderaccepted.
            /// </summary>
            ORDERACCEPTED,

            /// <summary>
            /// The orderdeclined.
            /// </summary>
            ORDERDECLINED,

            /// <summary>
            /// The ordercanceled.
            /// </summary>
            ORDERCANCELED
        }

        /// <summary>
        /// The sample types.
        /// </summary>
        public enum SampleTypes
        {
            /// <summary>
            /// The none.
            /// </summary>
            NONE,

            /// <summary>
            /// The bunchsample.
            /// </summary>
            BUNCHSAMPLE,

            /// <summary>
            /// The collectivesample.
            /// </summary>
            COLLECTIVESAMPLE
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Get the default account guid ("---").
        /// </summary>
        /// <returns>
        /// Company guid.
        /// </returns>
        public static Guid GetAccountGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// The get admin account id.
        /// </summary>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetAdminAccountId()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default bio product guid ("---").
        /// </summary>
        /// <returns>
        /// Bio product guid.
        /// </returns>
        public static Guid GetBioProductTypeGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the bio product type db guid.
        /// </summary>
        /// <param name="bioProductType">
        /// The bio Product Type.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetBioProductTypeId(BioProductType bioProductType)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the brand marketing norm db guid.
        /// </summary>
        /// <param name="brandMarketingNormTypes">
        /// The brand Marketing Norm Types.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetBrandMarketingNormId(BrandMarketingNorm brandMarketingNormTypes)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default certification business guid ("---").
        /// </summary>
        /// <returns>
        /// Certification business guid.
        /// </returns>
        public static Guid GetCertificationBusinessGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default certification product guid ("---").
        /// </summary>
        /// <returns>
        /// Certification product guid.
        /// </returns>
        public static Guid GetCertificationProductGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default certification quality seal guid ("---").
        /// </summary>
        /// <returns>
        /// Certification quality seal guid.
        /// </returns>
        public static Guid GetCertificationQualitySealGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default company guid ("---").
        /// </summary>
        /// <returns>
        /// Company guid.
        /// </returns>
        public static Guid GetCompanyGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the company status db guid.
        /// </summary>
        /// <param name="companyStatus">
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetCompanyStatusId(CompanyStatus companyStatus)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the company type db guid.
        /// </summary>
        /// <param name="companyType">
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetCompanyTypeId(CompanyTypes companyType)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the  country guid of germany.
        /// </summary>
        /// <returns>
        /// Country guid.
        /// </returns>
        public static Guid GetCountryGuidGermany()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default country guid ("---").
        /// </summary>
        /// <returns>
        /// Country guid.
        /// </returns>
        public static Guid GetCountryGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default evaluation basis guid ("---").
        /// </summary>
        /// <returns>
        /// Evaluation basis guid.
        /// </returns>
        public static Guid GetEvaluationBasisGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default farming type guid ("---").
        /// </summary>
        /// <returns>
        /// Farming type guid.
        /// </returns>
        public static Guid GetFarmingTypeGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default measurement presetting guid ("---").
        /// </summary>
        /// <returns>
        /// Measurement presetting guid.
        /// </returns>
        public static Guid GetMeasurementPresettingGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the measurement presetting db guid.
        /// </summary>
        /// <param name="measurementPresetting">
        /// The measurement Presetting.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetMeasurementPresettingId(MeasurementPresettings measurementPresetting)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default method guid ("---").
        /// </summary>
        /// <returns>
        /// Evaluation basis guid.
        /// </returns>
        public static Guid GetMethodGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default offer form guid ("---").
        /// </summary>
        /// <returns>
        /// Offer form guid.
        /// </returns>
        public static Guid GetOfferFormGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample companyType db guid.
        /// </summary>
        /// <param name="parameterGroupStatus">
        /// The parameter Group Status.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetParameterGroupStatusId(ParameterGroupStatus parameterGroupStatus)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample companyType db guid.
        /// </summary>
        /// <param name="parameterTypes">
        /// The parameter Types.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetParameterTypeId(ParameterTypes parameterTypes)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default product guid ("---").
        /// </summary>
        /// <returns>
        /// Product guid.
        /// </returns>
        public static Guid GetProductGuidNone()
        {
            return new Guid();
        }

         /// <summary>
         /// Get the default processing status guid "---".
         /// </summary>
         /// <returns>
         /// Processing status guid.
         /// </returns>
        public static Guid GetProcessingStatusGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default intended use guid "---".
        /// </summary>
        /// <returns>
        /// Intended use guid.
        /// </returns>
        public static Guid GetIntendedUseGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get retailer company id.
        /// </summary>
        /// <param name="company">
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetRetailerCompanyId(RetailerCompany company)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default sample brand type guid ("---").
        /// </summary>
        /// <returns>
        /// Sample brand type guid.
        /// </returns>
        public static Guid GetSampleBrandTypeGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the SampleBrandType db guid.
        /// </summary>
        /// <param name="sampleBrandType">
        /// The sample Brand Type.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleBrandTypeId(SampleBrandTypes sampleBrandType)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default sample examination guid ("---").
        /// </summary>
        /// <returns>
        /// Sample examination guid.
        /// </returns>
        public static Guid GetSampleExaminationGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sampleExamination db guid.
        /// </summary>
        /// <param name="sampleExamination">
        /// The sample Examination.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleExaminationId(SampleExaminations sampleExamination)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default sample kind guid ("---").
        /// </summary>
        /// <returns>
        /// Sample kind guid.
        /// </returns>
        public static Guid GetSampleKindGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample kind db guid.
        /// </summary>
        /// <param name="sampleKind">
        /// The sample Kind.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleKindId(SampleKinds sampleKind)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the SampleRatingArea db guid.
        /// </summary>
        /// <param name="sampleRatingArea">
        /// The sample Rating Area.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleRatingAreaId(SampleRatingArea sampleRatingArea)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample rating Guid none.
        /// </summary>
        /// <returns>
        /// Sample rating guid.
        /// </returns>
        public static Guid GetSampleRatingGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the SampleRating db guid.
        /// </summary>
        /// <param name="sampleRating">
        /// The sample Rating.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleRatingId(SampleRating sampleRating)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the SampleRatingSchema db guid.
        /// </summary>
        /// <param name="sampleRatingSchema">
        /// The sample Rating Schema.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleRatingSchemaId(SampleRatingSchema sampleRatingSchema)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default sampler user guid ("---").
        /// </summary>
        /// <returns>
        /// Default sampler user guid.
        /// </returns>
        public static Guid GetSamplerUserGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample companyType db guid.
        /// </summary>
        /// <param name="sampleState">
        /// The sample State.
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleStatusId(SampleStatus sampleState)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default sample type guid ("---").
        /// </summary>
        /// <returns>
        /// Sample type guid.
        /// </returns>
        public static Guid GetSampleTypeGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the sample type db guid.
        /// </summary>
        /// <param name="sampleType">
        /// </param>
        /// <returns>
        /// The <see cref="Guid"/>.
        /// </returns>
        public static Guid GetSampleTypeId(SampleTypes sampleType)
        {
            return new Guid();
        }

        /// <summary>
        /// Get the guid from the default language.
        /// </summary>
        /// <returns>
        /// Language guid.
        /// </returns>
        public static Guid GetStandardLanguage()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the company Guid for the Trade Association.
        /// </summary>
        /// <returns>
        /// Company guid.
        /// </returns>
        public static Guid GetTradeAssociationGuid()
        {
            return new Guid();
        }

        /// <summary>
        /// Get the default weight unit guid ("---").
        /// </summary>
        /// <returns>
        /// Weight unit guid.
        /// </returns>
        public static Guid GetWeightUnitGuidNone()
        {
            return new Guid();
        }

        /// <summary>
        /// Compares two guids.
        /// </summary>
        /// <param name="firstGuid">
        /// Guid.
        /// </param>
        /// <param name="secondGuid">
        /// Guid.
        /// </param>
        /// <returns>
        /// True if the guids are equal, otherwise false.
        /// </returns>
        public static bool GuidsEqual(Guid firstGuid, Guid secondGuid)
        {
            return false;
        }

        /// <summary>
        /// Checks if a list of companyTypeIds contains a given Companytype.
        /// </summary>
        /// <param name="companyList">
        /// List of companytypeIds as string.
        /// </param>
        /// <param name="companyType">
        /// Given companytype.
        /// </param>
        /// <returns>
        /// Returns true if list contains the companytypeId.
        /// </returns>
        public static bool ListContainsCompanyType(string companyList, CompanyTypes companyType)
        {
            return false;
        }

        /// <summary>
        /// Checks if a list of companyTypeIds contains a given Companytype.
        /// </summary>
        /// <param name="listOfCompanyTypeIds">
        /// The list Of Company Type Ids.
        /// </param>
        /// <param name="companyType">
        /// Given companytype.
        /// </param>
        /// <returns>
        /// Returns true if list contains the companytypeId.
        /// </returns>
        public static bool ListContainsCompanyType(IEnumerable<string> listOfCompanyTypeIds, CompanyTypes companyType)
        {
            return false;
        }

        /// <summary>
        /// Removes NONE enum from the given list.
        /// </summary>
        /// <typeparam name="T">
        /// Enum Type.
        /// </typeparam>
        /// <param name="list">
        /// List that holds enums.
        /// </param>
        /// <param name="enumStringValueNone">
        /// Enum as string that represents the none value.
        /// </param>
        /// <returns>
        /// The given list without the NONE entry.
        /// </returns>
        public static List<T> RemoveGuidNoneFromEnumList<T>(List<T> list, string enumStringValueNone)
        {
            return new List<T>();
        }

        /// <summary>
        /// Remove the "none" guid from a given list.
        /// </summary>
        /// <typeparam name="T">
        /// Type of the object that are in the list.
        /// </typeparam>
        /// <param name="list">
        /// The list object that holds the objects.
        /// </param>
        /// <param name="idNone">
        /// Id that should be removed from the list.
        /// </param>
        /// <param name="idPropertyName">
        /// Property name of the object thats holds the id.
        /// </param>
        /// <returns>
        /// The list without the none guid.
        /// </returns>
        public static List<T> RemoveGuidNoneFromList<T>(List<T> list, Guid idNone, string idPropertyName)
        {
            return new List<T>();
        }

        /// <summary>
        /// Remove the none guid from a string list.
        /// </summary>
        /// <param name="list">
        /// List with ids.
        /// </param>
        /// <param name="idNone">
        /// Id that should be removed.
        /// </param>
        /// <returns>
        /// List without the id.
        /// </returns>
        public static List<string> RemoveGuidNoneFromStringList(List<string> list, Guid idNone)
        {
            return new List<string>();
        }
        #endregion
    }
}