﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DbXmlListHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml;

    #endregion

    /// <summary>
    /// The db xml list helper.
    /// </summary>
    public class DbXmlListHelper
    {
        #region Constants
        /// <summary>
        /// The privatebrandshowtagnameitem.
        /// </summary>
        public const string PRIVATEBRANDSHOWTAGNAMEITEM = "CompanyItem";

        // PrivateBrandShow nodes
        /// <summary>
        /// The privatebrandshowtagnamelist.
        /// </summary>
        public const string PRIVATEBRANDSHOWTAGNAMELIST = "CompanyList";

        /// <summary>
        /// The privatebrandshowtagnamevalue.
        /// </summary>
        public const string PRIVATEBRANDSHOWTAGNAMEVALUE = "Company_id";
        #endregion

        #region Static Fields
        /// <summary>
        /// The compan y 2 companyright s_ tagnameitem.
        /// </summary>
        public static readonly string COMPANY2COMPANYRIGHTS_TAGNAMEITEM = "CompanyToItem";

        // COmpany2CompanyRights
        /// <summary>
        /// The compan y 2 companyright s_ tagnamelist.
        /// </summary>
        public static readonly string COMPANY2COMPANYRIGHTS_TAGNAMELIST = "CompanyToList";

        /// <summary>
        /// The compan y 2 companyright s_ tagnamevalue.
        /// </summary>
        public static readonly string COMPANY2COMPANYRIGHTS_TAGNAMEVALUE = "CompanyTo_id";

        /// <summary>
        /// The companytyp e_ tagnameitem.
        /// </summary>
        public static readonly string COMPANYTYPE_TAGNAMEITEM = "CompanyTypeItem";

        // company type nodes
        /// <summary>
        /// The companytyp e_ tagnamelist.
        /// </summary>
        public static readonly string COMPANYTYPE_TAGNAMELIST = "CompanyTypeList";

        /// <summary>
        /// The companytyp e_ tagnamevalue.
        /// </summary>
        public static readonly string COMPANYTYPE_TAGNAMEVALUE = "CompanyType_id";

        /// <summary>
        /// The samplecertificationbusines s_ tagnameitem.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONBUSINESS_TAGNAMEITEM = "CertificationBusinessItem";

        // sample certification business nodes
        /// <summary>
        /// The samplecertificationbusines s_ tagnamelist.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONBUSINESS_TAGNAMELIST = "CertificationBusiness";

        /// <summary>
        /// The samplecertificationbusines s_ tagnamevalue.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONBUSINESS_TAGNAMEVALUE = "CertificationBusiness_id";

        /// <summary>
        /// The samplecertificationproduc t_ tagnameitem.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONPRODUCT_TAGNAMEITEM = "CertificationProductItem";

        // sample certification product nodes
        /// <summary>
        /// The samplecertificationproduc t_ tagnamelist.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONPRODUCT_TAGNAMELIST = "CertificationProduct";

        /// <summary>
        /// The samplecertificationproduc t_ tagnamevalue.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONPRODUCT_TAGNAMEVALUE = "CertificationProduct_id";

        /// <summary>
        /// The samplecertificationqualitysea l_ tagnameitem.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONQUALITYSEAL_TAGNAMEITEM = "CertificationQualitySealItem";

        // sample certification quality seals nodes
        /// <summary>
        /// The samplecertificationqualitysea l_ tagnamelist.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONQUALITYSEAL_TAGNAMELIST = "CertificationQualitySeal";

        /// <summary>
        /// The samplecertificationqualitysea l_ tagnamevalue.
        /// </summary>
        public static readonly string SAMPLECERTIFICATIONQUALITYSEAL_TAGNAMEVALUE = "CertificationQualitySeal_id";

        /// <summary>
        /// The sampleretaile r_ tagnameitem.
        /// </summary>
        public static readonly string SAMPLERETAILER_TAGNAMEITEM = "RetailerItem";

        // sample retailer nodes
        /// <summary>
        /// The sampleretaile r_ tagnamelist.
        /// </summary>
        public static readonly string SAMPLERETAILER_TAGNAMELIST = "Retailer";

        /// <summary>
        /// The sampleretaile r_ tagnamevalue.
        /// </summary>
        public static readonly string SAMPLERETAILER_TAGNAMEVALUE = "Company_id";
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Creates the xml expression for a list of values with given Tagnames
        /// example:
        /// <tagNameList>
        /// [
        /// <tagNameItem>
        ///     <tagNameValue>Value1</tagNameValue>
        /// </tagNameItem>
        /// ]
        /// </tagNameList>
        /// .
        /// </summary>
        /// <param name="tagNameList">
        /// Tagname for list.
        /// </param>
        /// <param name="tagNameItem">
        /// Tagname for an item.
        /// </param>
        /// <param name="tagNameValue">
        /// Tagname for the value.
        /// </param>
        /// <param name="values">
        /// String of values whit global defined seperator.
        /// </param>
        /// <returns>
        /// Xml expression , null if tagname is missing.
        /// </returns>
        public static string GenerateXmlList(string tagNameList, string tagNameItem, string tagNameValue, string values)
        {
            return null;
        }

        /// <summary>
        /// Creates the xml expression for a list of values with given Tagnames
        /// example:
        /// <tagNameList>
        /// [
        /// <tagNameItem>
        ///     <tagNameValue>Value1</tagNameValue>
        /// </tagNameItem>
        /// ]
        /// </tagNameList>
        /// .
        /// </summary>
        /// <param name="tagNameList">
        /// Tagname for list.
        /// </param>
        /// <param name="tagNameItem">
        /// Tagname for an item.
        /// </param>
        /// <param name="tagNameValue">
        /// Tagname for the value.
        /// </param>
        /// <param name="valuesAsList">
        /// Enumerable of values.
        /// </param>
        /// <returns>
        /// Xml expression , null if tagname is missing.
        /// </returns>
        public static string GenerateXmlList(string tagNameList, string tagNameItem, string tagNameValue, IEnumerable<string> valuesAsList)
        {
            return null;
        }

        /// <summary>
        /// Creates the xml expression for a list of companytypeIds.
        /// </summary>
        /// <param name="values">
        /// List of companytypeids as string.
        /// </param>
        /// <returns>
        /// Xml expression.
        /// </returns>
        public static string GenerateXMLStringForCompanyTypes(string values)
        {
            return null;
        }

        /// <summary>
        /// Creates the xml expression for a list of companytypeIds.
        /// </summary>
        /// <param name="values">
        /// Enumerable of companytypeids.
        /// </param>
        /// <returns>
        /// Xml expression.
        /// </returns>
        public static string GenerateXMLStringForCompanyTypes(IEnumerable<string> values)
        {
            return null;
        }

        /// <summary>
        /// Creates xml expression for a list of companyIds.
        /// </summary>
        /// <param name="values">
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GenerateXmlStringForPrivateBrandShow(IEnumerable<string> values)
        {
            return null;
        }
        #endregion
    }
}