﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ComboBoxExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The ComboBoxExtensionHelper interface.
    /// </summary>
    public interface IComboBoxExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get value.
        /// </summary>
        /// <param name="comboBoxName">
        /// The combo box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T"/>.
        /// </returns>
        T GetValue<T>(string comboBoxName);
        #endregion
    }

    /// <summary>
    /// The combo box extension helper.
    /// </summary>
    public class ComboBoxExtensionHelper : IComboBoxExtensionHelper
    {
        #region IComboBoxExtensionHelper Members

        #region Public Methods and Operators
        /// <summary>
        /// The get value.
        /// </summary>
        /// <param name="comboBoxName">
        /// The combo box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T"/>.
        /// </returns>
        public T GetValue<T>(string comboBoxName)
        {
            return EditorExtension.GetValue<T>(comboBoxName);
        }
        #endregion

        #endregion
    }
}