﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="GLNData.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.GLNChecker
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// Datatype for a GS1 GLN check item.
    /// </summary>
    public class GLNData
    {
        #region Properties
        /// <summary>
        /// Gets or sets the city.
        /// </summary>
        public string City { get; set; }

        /// <summary>
        /// Gets or sets the company name.
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// Gets or sets the country code.
        /// </summary>
        public string CountryCode { get; set; }

        // GS1 doesn't provide the country, so we have to set this ourselves.
        /// <summary>
        /// Gets or sets the country id.
        /// </summary>
        public Guid CountryId { get; set; }

        /// <summary>
        /// Gets or sets the country name trans.
        /// </summary>
        public string CountryNameTrans { get; set; }

        /// <summary>
        /// Gets or sets the gln.
        /// </summary>
        public string GLN { get; set; }

        /// <summary>
        /// Gets or sets the result code.
        /// </summary>
        public int ResultCode { get; set; }

        /// <summary>
        /// Gets or sets the result desc.
        /// </summary>
        public string ResultDesc { get; set; }

        /// <summary>
        /// Gets or sets the street.
        /// </summary>
        public string Street { get; set; }

        /// <summary>
        /// Gets or sets the zip code.
        /// </summary>
        public string ZipCode { get; set; }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="GLNData"/> class.
        /// </summary>
        public GLNData()
        {
            ResultCode = -1;
            ResultDesc = string.Empty;
            CompanyName = string.Empty;
            City = string.Empty;
            ZipCode = string.Empty;
            Street = string.Empty;
            CountryCode = string.Empty;
            GLN = string.Empty;
            CountryId = Guid.Empty;
            CountryNameTrans = string.Empty;
        }
        #endregion
    }
}