﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="EdekaSampleTransferTask.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.Tasks.EdekaTransferTask
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Threading.Tasks;

    using DevExpress.Data.Filtering;

    using FluentScheduler;

    using Fruitmonitoring.Helper.Modules.EdekaWebService;
    using Fruitmonitoring.Helper.Modules.SampleTransferObservers;
    using Fruitmonitoring.Models;

    using log4net;

    #endregion

    /// <summary>
    /// FluentScheduler class to attempt transfer of previous
    /// unsuccessfulSamples transfers. On success transferlog is set
    /// to true for sample. Periodic settings are set in
    /// FluentRegistry.cs.
    /// </summary>
    public class EdekaSampleTransferTask : IJob
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="EdekaSampleTransferTask"/> class.
        /// </summary>
        public EdekaSampleTransferTask()
        {
            _edekaTransferLog = LogManager.GetLogger("EdekaTransferLogger");
        }
        #endregion

        #region IJob Members

        #region Public Methods and Operators
        /// <summary>
        /// The execute.
        /// </summary>
        public void Execute()
        {
        }
        #endregion

        #endregion

        #region Methods
        /// <summary>
        /// Generates the xml filter that selects all samples with the given ids.
        /// </summary>
        /// <param name="unsuccessfulSamples">
        /// The samples that should be selected.
        /// </param>
        /// <returns>
        /// Xml filter that can be used by "usp_sample_sel".
        /// </returns>
        private string generateSampleSelectionXMLFilter(IEnumerable<Guid> unsuccessfulSamples)
        {
            return null;
        }
        #endregion

        #region Fields
        /// <summary>
        /// The _edeka transfer log.
        /// </summary>
        private readonly ILog _edekaTransferLog;

        /// <summary>
        /// The _db.
        /// </summary>
        private Entities _db;
        #endregion
    }
}