﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleDefaultExaminationTask.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.Tasks.Tasks.SampleOverdueTask
{
    #region usings
    using System.Threading;

    using FluentScheduler;

    #endregion

    /// <summary>
    /// Carries out the sending of notification emails
    /// for overdue default examinations when
    /// registered in class FluentRegistry.
    /// </summary>
    internal class SampleDefaultExaminationTask : IJob
    {
        #region IJob Members

        #region Public Methods and Operators
        /// <summary>
        /// The execute.
        /// </summary>
        public void Execute()
        {
            // thread is named after task for easy association
            // of the emails through "subject:threadName"
            Thread.CurrentThread.Name = "Default";
            var helper = new SampleOverdueMailer();
            helper.ckForDefaultExaminationSamples();
        }
        #endregion

        #endregion
    }
}