﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="MeasurementPresettingRequiredAttribute.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using System;
    using System.ComponentModel.DataAnnotations;
    using System.Globalization;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// Check if MeasurementPresetting is correctly set.
    /// </summary>
    public class MeasurementPresettingRequiredAttribute : ValidationAttribute
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="MeasurementPresettingRequiredAttribute"/> class.
        /// constructor.
        /// </summary>
        public MeasurementPresettingRequiredAttribute()
            : base("\"{0}\" ist nicht richtig.")
        {
            // default error message
        }
        #endregion

        #endregion

        #region methods
        /// <summary>
        /// Custom error message format.
        /// </summary>
        /// <param name="name">
        /// Fieldname which is not unique (not valid).
        /// </param>
        /// <returns>
        /// Formatted error message.
        /// </returns>
        public override string FormatErrorMessage(string name)
        {
            return null;
        }

        /// <summary>
        /// Check if MeasurementPresetting is correctly set
        /// if SampleResult -&gt; SetMeasurementPresetting is true and measured value is empty, the measurementPresseting_id must set.
        /// </summary>
        /// <param name="value">
        /// Current value to check.
        /// </param>
        /// <param name="validationContext">
        /// </param>
        /// <returns>
        /// The <see cref="ValidationResult"/>.
        /// </returns>
        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            return null;
        }
        #endregion
    }
}