﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleTypeBaseRequiredAttribute.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using System;
    using System.ComponentModel.DataAnnotations;
    using System.Globalization;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// Check if SampleType is correctly set.
    /// </summary>
    public class SampleTypeBaseRequiredAttribute : ValidationAttribute
    {
        #region Properties

        #region variables

        // must be set be child class
        /// <summary>
        /// Gets or sets the sample kind id.
        /// </summary>
        public Guid SampleKindId { get; set; }
        #endregion

        #endregion

        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleTypeBaseRequiredAttribute"/> class.
        /// constructor.
        /// </summary>
        public SampleTypeBaseRequiredAttribute()
            : base("\"{0}\" ist nicht richtig.")
        {
            // default error message
        }
        #endregion

        #endregion

        #region methods
        /// <summary>
        /// Custom error message format.
        /// </summary>
        /// <param name="name">
        /// Fieldname which is not unique (not valid).
        /// </param>
        /// <returns>
        /// Formatted error message.
        /// </returns>
        public override string FormatErrorMessage(string name)
        {
            return null;
        }

        /// <summary>
        /// Check if SampleType is correctly set
        /// SampleType is required if samplekind = sales sample.
        /// </summary>
        /// <param name="value">
        /// Current value to check.
        /// </param>
        /// <param name="validationContext">
        /// </param>
        /// <returns>
        /// The <see cref="ValidationResult"/>.
        /// </returns>
        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            return null;
        }
        #endregion
    }
}